curl --request GET \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/blueprint \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/blueprint"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/blueprint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 2,
"status": "draft",
"hash": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"blueprintId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"languageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personalityName": "<string>",
"personalityRole": "<string>",
"targetAudience": "<string>",
"mainGoal": "<string>",
"personalityInitialGreeting": "<string>",
"personalityMessageStyleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personalityToneStyleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startSpeaker": "user",
"requiredData": [],
"contentVariables": [],
"variables": [],
"outputVariables": [],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"voiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"criticalRules": [],
"topicsAllowed": [],
"topicsForbidden": []
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"path": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Obtener blueprint de una versión del agente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant. Obligatorio al autenticar con Authorization: Bearer, donde su ausencia devuelve 400 Workspace context is required. Con x-api-key es opcional: la llave ya identifica a su workspace y lo que mandes aquí se ignora.
Path Parameters
Identificador del agente
Identificador de la versión del agente
Response
Blueprint encontrado
Blueprint (personalidad) asociado a una versión específica del agente.
Show child attributes
Show child attributes
11111user, agent Variables detectadas en los prompts del blueprint al último cálculo.
Unión deduplicada de variables del blueprint y sus stages activos.
Variables que el agente extrae de la conversación. El tipo viaja ya normalizado: un
text enviado en el request se devuelve como string, y choices sólo aparece en
las variables de tipo enum.
Show child attributes
Show child attributes
Identificador de catálogo (catalog_items) para la voz seleccionada.
